Loading...
Searching...
No Matches
Dune::ImplicitMatrixBuilder< M_ >::row_object Class Reference

Proxy row object for entry access. More...

`#include <dune/istl/bcrsmatrix.hh>`

## Public Member Functions

block_type & | operator[] (size_type j) const
| Returns entry in column j.

## Detailed Description

template<class M_>
class Dune::ImplicitMatrixBuilder< M_ >::row_object

Proxy row object for entry access.

During matrix construction, there are no fully functional rows available yet, so we instead hand out a simple proxy which only allows accessing individual entries using operator[].

## Member Function Documentation

## operator[]()

template<class M_>

block_type & Dune::ImplicitMatrixBuilder< M_ >::row_object::operator[] | ( | size_type | j | ) | const

inline

Returns entry in column j.

The documentation for this class was generated from the following file:

- bcrsmatrix.hh